PGSimpleDataSource
Keywords: org.postgresql.ds.PGSimpleDataSource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.ds
Class PGSimpleDataSource

    java.lang.Object
      org.postgresql.ds.common.BaseDataSource
          org.postgresql.ds.jdbc23.AbstractJdbc23SimpleDataSource
              org.postgresql.ds.PGSimpleDataSource

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.sql.DataSource

    public class PGSimpleDataSource

extends org.postgresql.ds.jdbc23.AbstractJdbc23SimpleDataSource
implements javax.sql.DataSource

Simple DataSource which does not perform connection pooling. In order to use the DataSource, you must set the property databaseName. The settings for serverName, portNumber, user, and password are optional. Note: these properties are declared in the superclass.

Author:
  Aaron Mulder (ammulder@chariotsolutions.com)
See Also:
  Serialized Form

Constructor Summary
`PGSimpleDataSource()`

Method Summary

Methods inherited from class org.postgresql.ds.jdbc23.AbstractJdbc23SimpleDataSource
`getDescription`

Methods inherited from class org.postgresql.ds.common.BaseDataSource
`createReference, getConnection, getConnection, getDatabaseName, getLoginTimeout, getLogWriter, getPassword, getPortNumber, getPrepareThreshold, getReference, getServerName, getUser, readBaseObject, setDatabaseName, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setPrepareThreshold, setServerName, setUser, writeBaseObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.DataSource
`getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### PGSimpleDataSource

    public PGSimpleDataSource()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD